> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Public Redirect

This endpoint is meant for easy testing without having to do a backend integration.
Note that this is not the recommended integration method and is intended only for temporary testing purposes.

Since the redirect link is completely public, users can share it with others, which may lead to increased cost.

<Warning>
  The Public Redirect endpoint should be used with caution and only for temporary testing. It is not suitable for long term use.
</Warning>


## OpenAPI

````yaml ../facematch-openapi.json GET /public/liveness-redirect
openapi: 3.0.0
info:
  title: Verisoul Face Match API
  description: >-
    Face Match is a Verisoul platform add-on that uses facial biometrics to
    match and deduplicate users, while ensuring they're humans. It can be used
    for step-up authentication or verification processes.


    FaceMatch offers two primary workflows:

    - **Authentication (1-1)**: Match a user with an enrolled account to ensure
    it's the same person

    - **Uniqueness (1-N)**: Deduplicate users to verify a user is unique


    For users, the process takes about thirty seconds, works on any
    device/language, and does not require an ID.

    For developers, FaceMatch can be integrated within a couple hours of one
    developer's time.
  version: 1.0.0
  contact:
    name: Verisoul Support
    url: https://verisoul.ai
    email: support@verisoul.ai
servers:
  - url: https://api.sandbox.verisoul.ai
    description: Sandbox server
security:
  - ApiKeyAuth: []
paths:
  /public/liveness-redirect:
    get:
      tags:
        - Public
      summary: Public redirect to Face Match
      description: A public endpoint that redirects to the Face Match verification page.
      operationId: redirectToFaceMatch
      parameters:
        - name: project_id
          in: query
          description: Project ID for the verification
          required: true
          schema:
            type: string
            format: uuid
        - name: referring_session_id
          in: query
          description: ID of a referring session, if applicable
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '302':
          description: Redirect to verification page
          headers:
            Location:
              schema:
                type: string
                format: uri
              description: URL to redirect to
          content: {}
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - missing_project_id
                      - groups_enabled
                    description: Error code indicating the reason for failure
              examples:
                missing_project_id:
                  summary: Missing project_id
                  value:
                    error: missing_project_id
                groups_enabled:
                  summary: Groups enabled on project
                  value:
                    error: groups_enabled
      security: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key authentication

````